Module | ActiveSupport::CoreExtensions::Hash::Keys
In: | lib/active_support/core_ext/hash/keys.rb

### Methods

assert_valid_keys stringify_keys stringify_keys! symbolize_keys symbolize_keys! to_options to_options!

### Public Instance methods

assert_valid_keys(*valid_keys)

Validate all keys in a hash match *valid keys, raising ArgumentError on a mismatch. Note that keys are NOT treated indifferently, meaning if you use strings for keys but assert symbols as keys, this will fail.

#### Examples

      { :name => "Rob", :years => "28" }.assert_valid_keys(:name, :age) # => raises "ArgumentError: Unknown key(s): years"
      { :name => "Rob", :age => "28" }.assert_valid_keys("name", "age") # => raises "ArgumentError: Unknown key(s): name, age"
      { :name => "Rob", :age => "28" }.assert_valid_keys(:name, :age) # => passes, raises nothing

stringify_keys()

Return a new hash with all keys converted to strings.

stringify_keys!()

Destructively convert all keys to strings.

symbolize_keys()

Return a new hash with all keys converted to symbols.

symbolize_keys!()

Destructively convert all keys to symbols.

to_options()

Alias for symbolize_keys

to_options!()

Alias for symbolize_keys!

[Validate]